# ubuntu

Issues related to Ubuntu OS or related distributions

## apt errors
If you want to delete an wrong or non-working repository you can listed and delete by going to:

```
$ cd /etc/apt/sources.list.d
$ ls 
docker.list  elementary.list  owncloud.list  patches.list
```
then just remove the non wanted `.list` directory by:

```
$ sudp rm owncloud.list 
```
considering that we want to delete the `owncloud` repository.



Other for to do it is by using the `apt-key del` command, if there is a gpg reposotory. Thus, first we need to list the repositories to determine which will be removed:
```
$ sudo apt-key list

/etc/apt/trusted.gpg
--------------------
pub   rsa2048 2015-09-28 [SC] [expires: 2022-05-28]
      06D7 EADE 708A 40FA 136E  B454 0700 205D FD41 A71A
uid           [ unknown] devel OBS Project <devel@s2.owncloud.com>

/etc/apt/trusted.gpg.d/elementary.key.asc
-----------------------------------------
pub   rsa1024 2011-10-01 [SC]
      6C87 69CE DC20 F5E6 6C3B  7D37 BF36 996C 4E1F 8A59
uid           [ unknown] Launchpad PPA for elementary OS team
```

in this case we will delete the owncloud repository `06D7 EADE 708A 40FA 136E  B454 0700 205D FD41 A71A` by using:

```
$ sudo apt-key del "06D7 EADE 708A 40FA 136E  B454 0700 205D FD41 A71A"
OK

$ sudo apt-get update 
```



